## com.vividsolutions.jts.geomgraph.index
Class SweepLineSegment

    java.lang.Object
      com.vividsolutions.jts.geomgraph.index.SweepLineSegment

public class SweepLineSegment
extends java.lang.Object

Version:
  1.7

Constructor Summary
`SweepLineSegment(Edge edge, int ptIndex)`

Method Summary
`void` `computeIntersections(SweepLineSegment ss, SegmentIntersector si)`
`double` `getMaxX()`
`double` `getMinX()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SweepLineSegment

    public SweepLineSegment(Edge edge,
                            int ptIndex)

Method Detail

### getMinX

    public double getMinX()

### getMaxX

    public double getMaxX()

### computeIntersections

    public void computeIntersections(SweepLineSegment ss,
                                     SegmentIntersector si)